package com.agiledeveloper;

import rx.Observable;
import rx.functions.Action1;

import java.util.Arrays;
import java.util.List;

public class Sample {
  public static void main(String[] args) {
    MovieServer server = new MovieServer();

    List<String> movieNames = Arrays.asList("Beautiful Mind", "A few good men", "Forrest Gump");

    Observable<String> directors = server.getDirectors(movieNames);

    directors.subscribe(new Action1<String>() {
      @Override
      public void call(String name) {
        System.out.println(name);
      }
    });
  }
}