package com.agiledeveloper;

import rx.Observable;
import rx.Subscriber;
import rx.functions.Action1;

import java.util.Arrays;
import java.util.List;

public class Sample {
  public static void main(String[] args) throws InterruptedException {
    MovieServer server = new MovieServer();

    List<String> movieNames = Arrays.asList("Beautiful Mind", "A few good men", "Forrest Gump");

    Observable<String> directors = server.getDirectors(movieNames);

    for(int i = 0; i < 3; i++) {
      System.out.println("asking for info ....");
      directors.subscribe(new Action1<String>() {
        @Override
        public void call(String movieInfo) {
          System.out.println(movieInfo + " --- " + Thread.currentThread());
        }
      });
      System.out.println("In main....");
      Thread.sleep(3000);
    }
  }
}